Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "83c241ed-b0a1-489e-a268-4b97db77384f",
"user_id": "ad492c85-1425-4eab-9a47-1160ed2cceb4",
"user_code": "sample string 3",
"user": {
"id": "87a9bc64-a9ee-4f33-a740-ab357191a73d",
"db_language_id": "4e4fe075-c887-4c31-9e4b-353917056fd2",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-17T01:19:21.7489858+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "1fee2a28-b4b7-4076-8764-274b9e29dd1e",
"sales_organization": {
"id": "ac9bf47c-3c2f-4709-9056-1563c1bbcb7c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "27a18238-4753-436a-be22-cd5234f2cde2",
"db_currency_id": "35455829-3cbe-4012-9638-1ed32561ffbb",
"db_language_id": "0a226f39-d259-4792-9e29-0125e50cdfd7",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T01:19:21.7489858+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "3dc6387c-5537-4858-86ec-224fc5e91012",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "e0601d96-4384-48ea-9fe3-93b31d7d8e7f",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-17T01:19:21.7489858+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "cf0d9bfb-64ea-470d-b168-28ad2aee358d"
},
"skill_id": "13a1d673-9df8-46a0-ad09-63c50b89405e",
"skill_code": "sample string 5",
"skill": {
"id": "d951e6c7-063d-4e4f-98fd-2705556e5d87",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "b3a45408-2c24-466f-9899-32dc0dd1f259",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "ac9bf47c-3c2f-4709-9056-1563c1bbcb7c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "27a18238-4753-436a-be22-cd5234f2cde2",
"db_currency_id": "35455829-3cbe-4012-9638-1ed32561ffbb",
"db_language_id": "0a226f39-d259-4792-9e29-0125e50cdfd7",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-17T01:19:21.7489858+00:00"
},
"modified_dateutc": "2026-11-17T01:19:21.7489858+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-11-17T01:19:21.7689622+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.